package sun.management.snmp.jvmmib;

import com.sun.jmx.snmp.agent.SnmpMibSubRequest;
import com.sun.jmx.snmp.SnmpStatusException;
import com.sun.jmx.snmp.SnmpString;
import com.sun.jmx.snmp.SnmpValue;
import com.sun.jmx.snmp.agent.SnmpMibNode;
import com.sun.jmx.snmp.agent.SnmpMib;
import com.sun.jmx.snmp.agent.SnmpStandardObjectServer;
import com.sun.jmx.snmp.agent.SnmpStandardMetaServer;
import java.io.Serializable;
import com.sun.jmx.snmp.agent.SnmpMibEntry;

public class JvmMemMgrPoolRelEntryMeta extends SnmpMibEntry implements Serializable, SnmpStandardMetaServer
{
    static final long serialVersionUID = 7414270971113459798L;
    protected JvmMemMgrPoolRelEntryMBean node;
    protected SnmpStandardObjectServer objectserver;
    
    public JvmMemMgrPoolRelEntryMeta(SnmpMib snmpMib, SnmpStandardObjectServer objectserver) {
        this.objectserver = null;
        this.objectserver = objectserver;
        (this.varList = new int[2])[0] = 3;
        this.varList[1] = 2;
        SnmpMibNode.sort(this.varList);
    }
    
    public SnmpValue get(long n, Object o) throws SnmpStatusException {
        switch ((int)n) {
            case 3: {
                return new SnmpString(this.node.getJvmMemMgrRelPoolName());
            }
            case 2: {
                return new SnmpString(this.node.getJvmMemMgrRelManagerName());
            }
            default: {
                throw new SnmpStatusException(225);
            }
        }
    }
    
    public SnmpValue set(SnmpValue snmpValue, long n, Object o) throws SnmpStatusException {
        switch ((int)n) {
            case 3: {
                throw new SnmpStatusException(17);
            }
            case 2: {
                throw new SnmpStatusException(17);
            }
            default: {
                throw new SnmpStatusException(17);
            }
        }
    }
    
    public void check(SnmpValue snmpValue, long n, Object o) throws SnmpStatusException {
        switch ((int)n) {
            case 3: {
                throw new SnmpStatusException(17);
            }
            case 2: {
                throw new SnmpStatusException(17);
            }
            default: {
                throw new SnmpStatusException(17);
            }
        }
    }
    
    protected void setInstance(JvmMemMgrPoolRelEntryMBean node) {
        this.node = node;
    }
    
    public void get(SnmpMibSubRequest snmpMibSubRequest, int n) throws SnmpStatusException {
        this.objectserver.get(this, snmpMibSubRequest, n);
    }
    
    public void set(SnmpMibSubRequest snmpMibSubRequest, int n) throws SnmpStatusException {
        this.objectserver.set(this, snmpMibSubRequest, n);
    }
    
    public void check(SnmpMibSubRequest snmpMibSubRequest, int n) throws SnmpStatusException {
        this.objectserver.check(this, snmpMibSubRequest, n);
    }
    
    public boolean isVariable(long n) {
        switch ((int)n) {
            case 2:
            case 3: {
                return true;
            }
            default: {
                return false;
            }
        }
    }
    
    public boolean isReadable(long n) {
        switch ((int)n) {
            case 2:
            case 3: {
                return true;
            }
            default: {
                return false;
            }
        }
    }
    
    public boolean skipVariable(long n, Object o, int n2) {
        return super.skipVariable(n, o, n2);
    }
    
    public String getAttributeName(long n) throws SnmpStatusException {
        switch ((int)n) {
            case 3: {
                return "JvmMemMgrRelPoolName";
            }
            case 2: {
                return "JvmMemMgrRelManagerName";
            }
            default: {
                throw new SnmpStatusException(225);
            }
        }
    }
}
